Documents

Delete document

Permanently delete a document and its associated files. This

DELETE /api/v3/documents/{id} Try It

Delete document

cURL
curl --request DELETE \
  --url https://api.handwritingocr.com/v3/documents/abcde12345 \
  --header 'Authorization: Bearer your-api-token'

Permanently delete a document and its associated files. This action cannot be undone.

Headers

  • Authorization string required header

    Bearer your-api-token

  • Accept string required header

    application/json

Path parameters

  • id string required path

    The document's unique identifier (e.g. abcde12345).

Response codes

HTTP status
  • 204

    Document deleted.

  • 401

    Unauthorized — invalid or missing API token.

  • 403

    Forbidden — no permission to delete document.

  • 404

    Not Found — document not found.

  • 500

    Server Error — error deleting document.